Closed Bug 1213172 Opened 4 years ago Closed 4 years ago

Remove collections from verticalhome

Categories

(Firefox OS Graveyard :: Gaia::Homescreen, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(b2g-v2.5 verified, b2g-master verified)

VERIFIED FIXED
Tracking Status
b2g-v2.5 --- verified
b2g-master --- verified

People

(Reporter: kgrandon, Assigned: kgrandon)

References

Details

(Keywords: late-l10n, Whiteboard: [systemsfe])

Attachments

(2 files)

No description provided.
Whiteboard: [systemsfe]
Do we have a meta for all the tasks necessary to truly purge collections from Gaia? When the time comes I can remove the iac 'setup' message from the FTU. If people want to know about this moment, they can always use the ftucomms connection and listen for a 'started' message.
We've now switched over to the new homescreen, see bug 1191745.
Sounds good, I still want to remove these from the verticalhome codebase though as I'm using it still and will want to upload it to the marketplace.

I'll file necessary dependent bugs for FTU and other apps.
Comment on attachment 8671738 [details] [review]
[gaia] KevinGrandon:bug_1213172_remove_collections > mozilla-b2g:master

Hey Ricky - 

Could you review this when you get a chance? Just want to have a build peer sign off because there are a bunch of deletions in the build folder.
Attachment #8671738 - Flags: review?(rchien)
Comment on attachment 8671738 [details] [review]
[gaia] KevinGrandon:bug_1213172_remove_collections > mozilla-b2g:master

LGTM.
Attachment #8671738 - Flags: review?(rchien) → review+
Depends on: 1220354
In master: https://github.com/mozilla-b2g/gaia/commit/acbb9e63b8f831e2d981381506ea4bc74b70fe4a
Status: ASSIGNED → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Could you land this in 2.5 as well so that our localizers don't spend time translating collections related entities?
Flags: needinfo?(kevingrandon)
(In reply to Zibi Braniecki [:gandalf][:zibi] from comment #8)
> Could you land this in 2.5 as well so that our localizers don't spend time
> translating collections related entities?

I thought this made the necessary date? Are we planning on re-branching, or updating 2.5? Regardless, I guess I'll just ask for uplift approval here.
Flags: needinfo?(kevingrandon)
Comment on attachment 8671738 [details] [review]
[gaia] KevinGrandon:bug_1213172_remove_collections > mozilla-b2g:master

Requesting uplift to save translators time in not having to translate inactive strings.

[Approval Request Comment]
[Risk to taking this patch] (and alternatives if risky): Low risk, only impacts code which is no longer active and user-facing (old home screen).
[String changes made]: Yes - removing lots of strings.
Attachment #8671738 - Flags: approval-gaia-v2.5?(mpotharaju)
Delphine, 

NI for you to be aware of this update to strings. 

Thanks
Flags: needinfo?(lebedel.delphine)
Comment on attachment 8671738 [details] [review]
[gaia] KevinGrandon:bug_1213172_remove_collections > mozilla-b2g:master

Approved to land. 

Thanks
Attachment #8671738 - Flags: approval-gaia-v2.5?(mpotharaju) → approval-gaia-v2.5+
Thanks Mahe!
Flags: needinfo?(lebedel.delphine)
Please remember to add the late-l10n keyword for these kinds of bugs with string changes. It's too late now, but still adding for the record
Keywords: late-l10n
Can we get this landed in 2.5 pls?
Zibi, 

The patch is approved to land. Should be on 2.5.

Please let me know if you find otherwise. 

Thanks
PS: I'm pretty sure that tomcat's late 2.5 merge picked this up, and thus the uplift commit is empty.
https://github.com/mozilla-b2g/gaia/commit/27320e1cfe6a66cd9822f59e630608cbcba08e45
This landed on October 31…

Everything that was on master on November 4 was also pushed to the v2.5 branch.

As far as I remember the point of diversion was
https://github.com/mozilla-b2g/gaia/commit/6a8cab20288c28a8555eeb61ba7f22a4306a2d0d
Just to confirm

$ git checkout v2.5
$ git log -2 -- */locales/collection.en-US.properties
commit 27320e1cfe6a66cd9822f59e630608cbcba08e45
Author: Kevin Grandon <kevingrandon@yahoo.com>
Date:   Thu Oct 8 21:49:23 2015 -0700

    Bug 1213172 - Remove smart collections r=rickychien

commit 8596036797acfbec03fbbde02b82ce95bdad1c8c
Author: Kevin Grandon <kevingrandon@yahoo.com>
Date:   Thu Jan 8 14:48:45 2015 -0800

    Bug 1119226 - [Smart Collection] Remove option for custom smart collection
This bug has been verified as "pass" on the latest build of Flame KK 2.5&2.6 and Aires KK 2.5&2.6.

STR:
1.Go to vertical homescreen.
2.Check collections.

Actual results: No any collections on vertical homescreen. 
See attachment: verified_Flame_v2.6.png
Reproduce rate: 0/5


Device: Flame KK 2.5  512mb user build (Pass)
Build ID               20151116173604
Gaia Revision          9473dbcbebf4e758a3b73200968efc69071b4312
Gaia Date              2015-11-16 15:49:25
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/17877d161e5f62726027ee70101a7004dcad5a69
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151116.164743
Firmware Date          Mon Nov 16 16:47:52 UTC 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK v2.6 512mb (master) eng build (Pass)
Build ID               20151116150206
Gaia Revision          e8c15ae4e5324a210000ee0a869a962aa542009f
Gaia Date              2015-11-13 00:10:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/d1cae7deae1ac0aa4c2a4b1aca1f3b6966fa58b4
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151116.203255
Firmware Date          Mon Nov 16 20:33:07 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK 2.5 user build (Pass)
Build ID               20151116174534
Gaia Revision          9473dbcbebf4e758a3b73200968efc69071b4312
Gaia Date              2015-11-16 15:49:25
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/17877d161e5f62726027ee70101a7004dcad5a69
Gecko Version          44.0a2
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151116.165317
Firmware Date          Mon Nov 16 16:53:25 UTC 2015
Bootloader             s1

Device: Aries KK 2.6 (master) eng build (Pass)
Build ID               20151112120735
Gaia Revision          27bc9412ca607648bc398b25bb1ae25653b2b278
Gaia Date              2015-11-12 02:27:47
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/3cc3b1968524248450c465c4ea2ee5596ffa65f2
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151112.112635
Firmware Date          Thu Nov 12 11:26:43 UTC 2015
Bootloader             s1
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.